Package: org.codehaus.groovy.vmplugin.v16

## [Java] Class Java16

- org.codehaus.groovy.vmplugin.v16.Java16

-     public class Java16
      extends Java10

  Additional Java 16 based functions will be added here as needed.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `getInvokeSpecialHandle(Method method, Object receiver)`
    `` | `public List<String>` | `getRecordComponentNames(Class<?> maybeRecord)`
    `` | `public int` | `getVersion()`
    `` | `public Object` | `invokeHandle(Object handle, Object[] args)`
    `` | `protected void` | `makeRecordComponents(CompileUnit cu, ClassNode classNode, Class<?> clazz)`
    `` | `protected MethodHandles.Lookup` | `newLookup(Class<?> declaringClass)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Java10` | `getPluginDefaultGroovyMethods, getVersion`
    `class Java9` | `checkAccessible, checkCanSetAccessible, getDefaultImportClasses, getLookupConstructor, getPluginDefaultGroovyMethods, getPrivateLookup, getVersion, newLookup, transformMetaMethod, trySetAccessible`
    `class Java8` | `checkAccessible, checkCanSetAccessible, configureAnnotation, configureAnnotation, configureAnnotationNodeFromDefinition, configureClassNode, configureTypeVariableDefinition, configureTypeVariableReference, doPrivileged, doPrivileged, fillParameterNames, getElementCode, getInvokeSpecialHandle, getLookup, getPluginDefaultGroovyMethods, getPluginStaticGroovyMethods, getVersion, invalidateCallSites, invokeHandle, makeClassNode, makeRecordComponents, newLookup, of, setAdditionalClassInformation, transformMetaMethod, transformMetaMethod, trySetAccessible`

- - ### Method Detail

    - #### @Override
      public Object getInvokeSpecialHandle(Method method, Object receiver)

    - #### @Override
      @Incubating
      public List<String> getRecordComponentNames(Class<?> maybeRecord)

    - #### @Override
      public int getVersion()

    - #### @Override
      public Object invokeHandle(Object handle, Object[] args)

    - #### @Override
      protected void makeRecordComponents(CompileUnit cu, ClassNode classNode, Class<?> clazz)

    - #### @Override
      @Deprecated
      protected MethodHandles.Lookup newLookup(Class<?> declaringClass)